#pragma once

namespace Juliet
{
    namespace Memory
    {
        namespace Internal
        {
            Byte* OS_Reserve(size_t size);
            bool  OS_Commit(Byte* ptr, size_t size);
            void  OS_Release(Byte* ptr, size_t size);
        } // namespace Internal
    } // namespace Memory

    namespace Internal
    {
        int OS_Main(EntryPointFunc entryPointFunc, int argc, wchar_t** argv);
    }
} // namespace Juliet
